# Created by pyp2rpm-3.2.2
%global pypi_name asn1crypto

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 1
Summary:        Fast Python ASN.1 parser and serializer

License:        MIT
URL:            https://github.com/wbond/asn1crypto
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Group:          System/Libraries

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if 0
%check
# asn1crypto source distribution doesn't come with tests
%{__python3} setup.py test
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc readme*
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Jun 10 2020 joequant <joequant> 1.3.0-1.mga8
+ Revision: 1591966
- update to 1.3.0

* Sun Feb 16 2020 umeabot <umeabot> 0.24.0-3.mga8
+ Revision: 1530724
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 0.24.0-2.mga8
+ Revision: 1437374
- rebuild for python3.8
- drop python2 support

* Sun Jan 13 2019 wally <wally> 0.24.0-1.mga7
+ Revision: 1355930
- new version 0.24.0

* Sat Jan 05 2019 wally <wally> 0.22.0-3.mga7
+ Revision: 1349615
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.22.0-2.mga7
+ Revision: 1288245
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 joequant <joequant> 0.22.0-1.mga7
+ Revision: 1137533
- fix category
- imported package python-asn1crypto

